@import url('https://fonts.googleapis.com/css2?family=Fredoka+One&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@100;500;700&display=swap');
.typewriter h1 {
    font-size: 18px;
}
body {
    background: url(codziit.jpg) no-repeat center;
    background-size: 100% 100%;
    background-attachment: scroll;
    
}
@media screen and (max-width: 1024px) {
body {
    background: url(codziit_mobile.jpg) no-repeat center;
}
}

.typewriter h1 span.twisco{font-family: 'Fredoka One', cursive;}
.typewriter h1 span.codzit{font-family: 'Montserrat', sans-serif; font-weight: 900;}

.typewriter h1 {
  overflow: hidden; /* Ensures the content is not revealed until the animation */
  border-right: .15em solid orange; /* The typwriter cursor */
  white-space: nowrap; /* Keeps the content on a single line */
  margin: 0 auto; /* Gives that scrolling effect as the typing happens */
  letter-spacing: .15em; /* Adjust as needed */
  animation: 
    typing 3.5s steps(40, end),
    blink-caret .75s step-end infinite;
}

/* The typing effect */
@keyframes typing {
  from { width: 0 }
  to { width: 100% }
}

/* The typewriter cursor effect */
@keyframes blink-caret {
  from, to { border-color: transparent }
  50% { border-color: orange; }
}
.result{
    width: 98%;
    display: block;
    border-top: solid 1px #555;
    margin: 10px auto;
    padding: 10px 0;
}
.wrong {color:#cd3a3a;}
.success {color:#7ac142;}
.result .wrong, .result .success{   
    display: block;
    text-align: center;
    font-size: 145%;
    font-weight: bold;
}
.result .headcourslst {
    display: block;
    padding:5px 0;
    font-size: 110%;
}
.result .headcourslst.wrong {
    text-align: left;
    font-size: 110%;
    font-weight:inherit;
}

.codeinput { width:98%; margin:0 auto; display:block; position:relative; overflow: hidden; height: 40px;}
input:focus, textarea:focus, select:focus{outline: none;}
.codeinput input {
    display: inline-block;
    width:60%;
    height: 40px;
    padding-left:5%;
    background:#f2f2f2;
    border: none;
    /*border-bottom:solid 1px #FC0;*/
    position: absolute;
    top: 0;
    left: 0;
    font-size: 18px;
    font-family: 'Montserrat', sans-serif;
    font-weight: bold;
    text-align: center;
}

.codeinput label {
  position: absolute;
  bottom: 1px;
  left: 0px;
  width: 60%;
  height: 100%;
  pointer-events: none;
  border-bottom: 1px solid white;
}
.codeinput label::after {
  content: "";
  position: absolute;
  bottom: -1px;
  left: 0px;
  width: 100%;
  height: 100%;
  border-bottom: 3px solid #7ac142;
  transform: translateX(-100%);
  transition: all 0.3s ease;
}

.content-name {
  position: absolute;
  bottom: 0px;
  left: 0px;
  padding-bottom: 5px;
  transition: all 0.3s ease;
}
.codeinput input:focus {
  outline: none;
}
.codeinput input:focus + .label-name .content-name,
.codeinput input:valid + .label-name .content-name {
  transform: translateY(-80%);
  font-size: 12px;
  left: 0px;
  color: #7ac142;
}
.codeinput input:focus + .label-name::after,
.codeinput input:valid + .label-name::after {
  transform: translateX(0%);
}

.codeinput .dpxsubmit {
    display: inline-block;
    width: 40%;
    height: 39px;
    border: none;
    background: #7ac142;
    margin: 0;
    padding: 0;
    position: absolute;
    top: 0;
    right: 0px;
    border-radius: 0 20px 20px 0;
    font-size: 13px;
    text-align: left;
    padding-left: 7px;
    font-family: 'Oswald', sans-serif;
    font-weight: 300;
    color: #fff;
    overflow:hidden;
}
.sbmtbtn { display: inline-block; width: 98%; height: 40px; margin: 10px auto; position: relative; }
.submitcourse {
    display: block;
    position: absolute;
    top: 0px;
    right: 0;
    border: none;
    height: 40px;
    line-height: 40px;
    padding: 0 20px;
    background:#7ac142;
    color:#fff;
    width:180px;
}
.submitcourse span.loading{
    background-color: rgb(255, 255, 255, 0.25);
    width: 0%;
    height: 40px;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    transition: width 3s linear;
}
.submitcourse span.loading.active {
  width: 100%;
  transition: width 3s linear;
}


.consentement { display: inline-block; width: 98%; height: 40px; margin: 8px auto; position: relative; }

.consentement .wrap label {

	color: #999191;
	display: inline-block;
	padding: 0 0 0 .6em;
	cursor: pointer;
	width: 90%;
    vertical-align: middle;
}

form .formelement{
  --radio: #7C96B2;
  --radio-checked: #4F29F0;
  --radio-size: 20px;
  --width: 100%;
  --height: auto;
  --border-radius: 10px;
  background: var(--background);
  width: var(--width);
  height: var(--height);
  border-radius: var(--border-radius);
  color: var(--text);
  position: relative;
  box-shadow: 0 10px 30px rgba(65, 72, 86, 0.05);
  padding: 20px 10px;
  display: grid;
  grid-template-columns: auto var(--radio-size);
  align-items: center;
}
form .formelement label {
  cursor: pointer;
}
form .formelement input[type=radio] {
  -webkit-appearance: none;
  -moz-appearance: none;
  position: relative;
  height: var(--radio-size);
  width: var(--radio-size);
  outline: none;
  margin: 0;
  cursor: pointer;
  border: 2px solid var(--radio);
  background: transparent;
  border-radius: 50%;
  display: grid;
  justify-self: end;
  justify-items: center;
  align-items: center;
  overflow: hidden;
  transition: border 0.5s ease;
}
form .formelement input[type=radio]::before, form .formelement input[type=radio]::after {
  content: "";
  display: flex;
  justify-self: center;
  border-radius: 50%;
}
form .formelement input[type=radio]::before {
  position: absolute;
  width: 100%;
  height: 100%;
  background: var(--background);
  z-index: 1;
  opacity: var(--opacity, 1);
}
form .formelement input[type=radio]::after {
  position: relative;
  width: calc(100% /2);
  height: calc(100% /2);
  background: var(--radio-checked);
  top: var(--y, 100%);
  transition: top 0.5s cubic-bezier(0.48, 1.97, 0.5, 0.63);
}
form .formelement input[type=radio]:checked {
  --radio: var(--radio-checked);
}
form .formelement input[type=radio]:checked::after {
  --y: 0%;
  -webkit-animation: stretch-animate 0.3s ease-out 0.17s;
          animation: stretch-animate 0.3s ease-out 0.17s;
}
form .formelement input[type=radio]:checked::before {
  --opacity: 0;
}
form .formelement input[type=radio]:checked ~ input[type=radio]::after {
  --y: -100%;
}
form .formelement input[type=radio]:not(:checked)::before {
  --opacity: 1;
  transition: opacity 0s linear 0.5s;
}

@-webkit-keyframes stretch-animate {
  0% {
    transform: scale(1, 1);
  }
  28% {
    transform: scale(1.15, 0.85);
  }
  50% {
    transform: scale(0.9, 1.1);
  }
  100% {
    transform: scale(1, 1);
  }
}

@keyframes stretch-animate {
  0% {
    transform: scale(1, 1);
  }
  28% {
    transform: scale(1.15, 0.85);
  }
  50% {
    transform: scale(0.9, 1.1);
  }
  100% {
    transform: scale(1, 1);
  }
}

.lds-ripple.hidden {opacity:0; -webkit-transition:all .3s; transition:all .4s;}

.lds-ripple {
    display: inline-block;
    position: absolute;
    top: 0px;
    /* left: calc( 50% - 20px ); */
    right: 0px;
    width: 39px;
    height: 39px;
    opacity: 1;
    -webkit-transition: all .3s;
    transition: all .4s;;
}
.lds-ripple div {
  position: absolute;
  border: 4px solid #fff;
  opacity: 1;
  border-radius: 50%;
  animation: lds-ripple 2s cubic-bezier(0, 0.2, 0.8, 1) infinite;
}
.lds-ripple div:nth-child(2) {
  animation-delay: -1s;
}
@keyframes lds-ripple {
  0% {
    top: 19px;
    left: 19px;
    width: 0;
    height: 0;
    opacity: 0;
  }
  4.9% {
    top: 19px;
    left: 19px;
    width: 0;
    height: 0;
    opacity: 0;
  }
  5% {
    top: 19px;
    left: 19px;
    width: 0;
    height: 0;
    opacity: 1;
  }
  100% {
    top: 0px;
    left: 0px;
    width: 38px;
    height: 38px;
    opacity: 0;
  }
}


.checkmark__circle {
    stroke-dasharray: 166;
    stroke-dashoffset: 166;
    stroke-width: 2;
    stroke-miterlimit: 10;
    stroke: #7ac142;
    fill: none;
    animation: stroke 0.6s cubic-bezier(0.65, 0, 0.45, 1) forwards
}

.checkmark {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    display: block;
    stroke-width: 2;
    stroke: #fff;
    stroke-miterlimit: 10;
    margin: 0 auto;
    position: absolute;
    top: 0;
    /*left: calc( 50% - 20px );*/
    right:0px;
    box-shadow: inset 0px 0px 0px #7ac142;
    animation: fill .4s ease-in-out .4s forwards, scale .3s ease-in-out .9s both
}

.checkmark__check {
    transform-origin: 50% 50%;
    stroke-dasharray: 48;
    stroke-dashoffset: 48;
    animation: stroke 0.3s cubic-bezier(0.65, 0, 0.45, 1) 0.8s forwards
}

@keyframes stroke {
    100% {
        stroke-dashoffset: 0
    }
}

@keyframes scale {

    0%,
    100% {
        transform: none
    }

    50% {
        transform: scale3d(1.1, 1.1, 1)
    }
}

@keyframes fill {
    100% {
        box-shadow: inset 0px 0px 0px 30px #7ac142
    }
}


svg.erromark {
  width: 40px;
  display: block;
  /*margin: 0px auto;*/
  position: absolute;
  top:0;
  /*left:calc( 50% - 20px );*/
  right: 0px;
}
.path {
  stroke-dasharray: 1000;
  stroke-dashoffset: 0;
}
.path.circle {
  -webkit-animation: dash 0.9s ease-in-out;
  animation: dash 0.9s ease-in-out;
}
.path.line {
  stroke-dashoffset: 1000;
  -webkit-animation: dash 0.9s 0.35s ease-in-out forwards;
  animation: dash 0.9s 0.35s ease-in-out forwards;
}
.path.check {
  stroke-dashoffset: -100;
  -webkit-animation: dash-check 0.9s 0.35s ease-in-out forwards;
  animation: dash-check 0.9s 0.35s ease-in-out forwards;
}

@-webkit-keyframes dash {
  0% {
    stroke-dashoffset: 1000;
  }
  100% {
    stroke-dashoffset: 0;
  }
}
@keyframes dash {
  0% {
    stroke-dashoffset: 1000;
  }
  100% {
    stroke-dashoffset: 0;
  }
}
@-webkit-keyframes dash-check {
  0% {
    stroke-dashoffset: -100;
  }
  100% {
    stroke-dashoffset: 900;
  }
}
@keyframes dash-check {
  0% {
    stroke-dashoffset: -100;
  }
  100% {
    stroke-dashoffset: 900;
  }
}

.heartbeat {
	-webkit-animation: heartbeat 1.5s ease-in-out infinite both;
	        animation: heartbeat 1.5s ease-in-out infinite both;
}

@-webkit-keyframes heartbeat {
  from {
    -webkit-transform: scale(1);
            transform: scale(1);
    -webkit-transform-origin: center center;
            transform-origin: center center;
    -webkit-animation-timing-function: ease-out;
            animation-timing-function: ease-out;
  }
  10% {
    -webkit-transform: scale(0.91);
            transform: scale(0.91);
    -webkit-animation-timing-function: ease-in;
            animation-timing-function: ease-in;
  }
  17% {
    -webkit-transform: scale(0.98);
            transform: scale(0.98);
    -webkit-animation-timing-function: ease-out;
            animation-timing-function: ease-out;
  }
  33% {
    -webkit-transform: scale(0.87);
            transform: scale(0.87);
    -webkit-animation-timing-function: ease-in;
            animation-timing-function: ease-in;
  }
  45% {
    -webkit-transform: scale(1);
            transform: scale(1);
    -webkit-animation-timing-function: ease-out;
            animation-timing-function: ease-out;
  }
}
@keyframes heartbeat {
  from {
    -webkit-transform: scale(1);
            transform: scale(1);
    -webkit-transform-origin: center center;
            transform-origin: center center;
    -webkit-animation-timing-function: ease-out;
            animation-timing-function: ease-out;
  }
  10% {
    -webkit-transform: scale(0.91);
            transform: scale(0.91);
    -webkit-animation-timing-function: ease-in;
            animation-timing-function: ease-in;
  }
  17% {
    -webkit-transform: scale(0.98);
            transform: scale(0.98);
    -webkit-animation-timing-function: ease-out;
            animation-timing-function: ease-out;
  }
  33% {
    -webkit-transform: scale(0.87);
            transform: scale(0.87);
    -webkit-animation-timing-function: ease-in;
            animation-timing-function: ease-in;
  }
  45% {
    -webkit-transform: scale(1);
            transform: scale(1);
    -webkit-animation-timing-function: ease-out;
            animation-timing-function: ease-out;
  }
}



/********************************************/
.messagebox {z-index:9999;}
button.chatbox-open {
  position: fixed;
  bottom: 0;
  right: 0;
  width: 52px;
  height: 52px;
  color: #fff;
  /*#ffeb3b #0360a5*/
  background-color: #ffeb3b;
  background-position: center center;
  background-repeat: no-repeat;
  box-shadow: 12px 15px 20px 0 rgba(46, 61, 73, 0.15);
  border: 0;
  border-radius: 50%;
  cursor: pointer;
  margin: 16px;
  z-index:9999;
}
button.chatbox-close {
  position: fixed;
  bottom: 0;
  right: 0;
  width: 52px;
  height: 52px;
  color: #fff;
  background-color: #0360a5;
  background-position: center center;
  background-repeat: no-repeat;
  box-shadow: 12px 15px 20px 0 rgba(46, 61, 73, 0.15);
  border: 0;
  border-radius: 50%;
  cursor: pointer;
  display: none;
  margin: 16px calc(2 * 16px + 52px) 16px 16px;
  z-index:9999;
}

textarea {
  box-sizing: border-box;
  width: 100%;
  margin: 0;
  /*height: calc(16px + 16px / 2);*/
  padding: 0 calc(16px / 2);
  font-family: inherit;
  font-size: 16px;
  /*line-height: calc(16px + 16px / 2);*/
  color: #888;
  background-color: none;
  border: 0;
  outline: 0 !important;
  /*resize: none;*/
  overflow: hidden;
}
form.contactform input {
  box-sizing: border-box;
  width: 100%;
  margin: 0;
  /*height: calc(16px + 16px / 2);*/
  padding: 0 calc(16px / 2);
  font-family: inherit;
  font-size: 16px;
  /*line-height: calc(16px + 16px / 2);*/
  color: #888;
  background-color: none;
  border: 0;
  outline: 0 !important;
  /*resize: none;*/
  overflow: hidden; 
  margin-bottom:10px;
}

textarea::-moz-placeholder {
  color: #888;
}
textarea:-ms-input-placeholder {
  color: #888;
}
textarea::placeholder {
  color: #888;
}

.chatbox-popup {
  display: flex;
  position: fixed;
  box-shadow: 5px 5px 25px 0 rgba(46, 61, 73, 0.2);
  flex-direction: column;
  display: none;
  bottom: calc(2 * 16px + 52px);
  right: 16px;
  width: 377px;
  height: auto;
  background-color: #fff;
  border-radius: 16px;
  z-index:9999;
}
.chatbox-popup .chatbox-popup__header {
  box-sizing: border-box;
  display: flex;
  width: 100%;
  padding: 16px;
  color: #fff;
  background-color: #0360a5;
  align-items: center;
  justify-content: space-around;
  border-top-right-radius: 12px;
  border-top-left-radius: 12px;
}
.chatbox-popup .chatbox-popup__header .chatbox-popup__avatar {
  margin-top: -32px;
  background-color: #0360a5;
  border: 5px solid rgba(0, 0, 0, 0.1);
  border-radius: 50%;
}
.chatbox-popup .chatbox-popup__main {
  box-sizing: border-box;
  width: 100%;
  padding: calc(2 * 16px) 16px;
  line-height: calc(16px + 16px / 2);
  color: #888;
  text-align: center;
  z-index:9999;
}
.chatbox-popup .chatbox-popup__footer {
  box-sizing: border-box;
  display: flex;
  width: 100%;
  padding: 16px;
  border-top: 1px solid #ddd;
  align-items: center;
  justify-content: space-around;
  border-bottom-right-radius: 12px;
  border-bottom-left-radius: 12px;
  z-index:9999;
}

.chatbox-panel {
  display: flex;
  position: absolute;
  box-shadow: 5px 5px 25px 0 rgba(46, 61, 73, 0.2);
  flex-direction: column;
  display: none;
  top: 0;
  right: 0;
  bottom: 0;
  width: 377px;
  background-color: #fff;
  z-index:9999;
}
.chatbox-panel .chatbox-panel__header {
  box-sizing: border-box;
  display: flex;
  width: 100%;
  padding: 16px;
  color: #fff;
  background-color: #0360a5;
  align-items: center;
  justify-content: space-around;
  flex: 0 0 auto;
}
.chatbox-panel .chatbox-panel__main {
  box-sizing: border-box;
  width: 100%;
  padding: calc(2 * 16px) 16px;
  line-height: calc(16px + 16px / 2);
  color: #888;
  text-align: center;
  flex: 1 1 auto;
}
.chatbox-panel .chatbox-panel__footer {
  box-sizing: border-box;
  display: flex;
  width: 100%;
  padding: 16px;
  border-top: 1px solid #ddd;
  align-items: center;
  justify-content: space-around;
  flex: 0 0 auto;
  z-index:9999;
}
aside i {line-height: 40px !important;}
aside.sendcontact {
    width:40px;
    height:40px;
    position:relative;
}
form:{margin-bottom:0 !important;}
aside.sendcontact .lds-ripple div {border: 4px solid #0360a5 !important;}













